services:
    Claroline\CursusBundle\Subscriber\GlobalSearchSubscriber:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\AppBundle\API\SerializerProvider'
        tags:
            - { name: kernel.event_subscriber }

    Claroline\CursusBundle\Subscriber\WorkspaceSubscriber:
        arguments:
            - '@security.token_storage'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\AppBundle\API\SerializerProvider'
            - '@Claroline\CursusBundle\Manager\CourseManager'
        tags:
            - { name: kernel.event_subscriber }

    Claroline\CursusBundle\Subscriber\Crud\CourseSubscriber:
        arguments:
            - '@event_dispatcher'
            - '@security.token_storage'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\CoreBundle\Manager\FileManager'
        tags:
            - { name: kernel.event_subscriber }

    Claroline\CursusBundle\Subscriber\Crud\EventSubscriber:
        parent: Claroline\CoreBundle\Subscriber\Crud\Planning\AbstractPlannedSubscriber
        arguments:
            - '@event_dispatcher'
            - '@Claroline\CursusBundle\Manager\EventManager'
        tags:
            - { name: kernel.event_subscriber}

    Claroline\CursusBundle\Subscriber\Crud\SessionSubscriber:
        arguments:
            - '@security.token_storage'
            - '@event_dispatcher'
            - '@Claroline\CoreBundle\Manager\FileManager'
            - '@Claroline\CursusBundle\Manager\SessionManager'
        tags:
            - { name: kernel.event_subscriber }

    # Registrations
    Claroline\CursusBundle\Subscriber\Crud\Registration\CourseUserSubscriber:
        tags:
            - { name: kernel.event_subscriber }

    Claroline\CursusBundle\Subscriber\Crud\Registration\SessionUserSubscriber:
        arguments:
            - '@event_dispatcher'
            - '@Claroline\CursusBundle\Manager\SessionManager'
        tags:
            - { name: kernel.event_subscriber }

    Claroline\CursusBundle\Subscriber\Crud\Registration\SessionGroupSubscriber:
        arguments:
            - '@event_dispatcher'
            - '@Claroline\CursusBundle\Manager\SessionManager'
        tags:
            - { name: kernel.event_subscriber }
